internal::streaming_node_traits< JP, StreamFactory, Ports >::async_msg_type< T > Struct Template Reference

`#include <_flow_graph_streaming_node.h>`

Collaboration diagram for internal::streaming_node_traits< JP, StreamFactory, Ports >::async_msg_type< T >:

## Public Types

typedef StreamFactory::template async_msg_type< T > | type

## Detailed Description

### template<typename JP, typename StreamFactory, typename... Ports>
template<typename T>
struct internal::streaming_node_traits< JP, StreamFactory, Ports >::async_msg_type< T >

Definition at line 171 of file _flow_graph_streaming_node.h.

## Member Typedef Documentation

## type

template<typename JP , typename StreamFactory , typename... Ports>
template<typename T >

typedef StreamFactory::template async_msg_type<T> internal::streaming_node_traits< JP, StreamFactory, Ports >::async_msg_type< T >::type

Definition at line 172 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.